/*  This file is part of VIM Pal.
 *
 *  VIM Pal is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  VIM Pal is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with VIM Pal.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef FILEUTILS_H
#define FILEUTILS_H

#include <QObject>

class QMenu;
class QSignalMapper;

class FileUtils: public QObject
{
    Q_OBJECT

public:
    static bool init(QWidget* parent = 0);
    static FileUtils* instance();

    // Add file open actinos to menu.
    void addFileActions(const QString& fname, QMenu* menu);

    // Open file in VIM (or ext. tool).
    void openFile(const QString& fname);

private slots:
    void openFileInVim(const QString& fname);
    void runCommand(const QString& cmd);

private:
    struct CmdData {
        CmdData()
        { }

        CmdData(const QString& cmd, const QString& name)
            :Command(cmd), Name(name)
        { }

        QString Command, Name;
    };

    QWidget* mParent;

    QSignalMapper* mOpenMapper,
                 * mCmdMapper;

private:
    explicit FileUtils(QWidget *parent = 0);

    static FileUtils* sInstance;
};

#endif // FILEUTILS_H
