/*  This file is part of VIM Pal.
 *
 *  VIM Pal is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  VIM Pal is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with VIM Pal.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef PROFILEDIALOG_H
#define PROFILEDIALOG_H

#include "ui_profiledialog.h"

class QStandardItemModel;

class ProfileDialog: public QDialog, private Ui::ProfileDialog
{
    Q_OBJECT

public:
    struct Profile {
        QString Name, Server;
        int Index;
    };

    explicit ProfileDialog(QWidget* parent = 0);

    void addProfile(const QString& name, const QString& server, int index);

    QList<Profile> profiles() const;

protected:
    void showEvent(QShowEvent* e);

private slots:
    void on_addProfile_clicked();
    void on_removeProfile_clicked();
    void on_moveUp_clicked();
    void on_moveDown_clicked();

    void currentChanged(const QModelIndex& index, const QModelIndex& previous = QModelIndex());

private:
    QStandardItemModel* mProfModel;
};

#endif   // PROFILEDIALOG_H
