/*  This file is part of VIM Pal.
 *
 *  VIM Pal is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  VIM Pal is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with VIM Pal.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef PROFILEMODEL_H
#define PROFILEMODEL_H

#include <QAbstractListModel>

class Profile;

class ProfileModel: public QAbstractListModel
{
    Q_OBJECT

public:
    explicit ProfileModel(QObject *parent = 0);
    virtual ~ProfileModel();

    int rowCount(const QModelIndex &parent) const;
    QVariant data(const QModelIndex &index, int role) const;
    Qt::ItemFlags flags(const QModelIndex& index) const;

    bool profilesDialog(QWidget* parent, int &saveIndex);

    Profile* profile(int index) const;

    bool profileExists(Profile* ptr) const
    {
        return mProfiles.indexOf(ptr) >= 0;
    }

private:
    QList<Profile*> mProfiles;
};

#endif // PROFILEMODEL_H
