/*  This file is part of VIM Pal.
 *
 *  VIM Pal is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  VIM Pal is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with VIM Pal.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "tooldialog.h"

#include <QFileDialog>
#include <QPushButton>


ToolDialog::ToolDialog(QWidget *parent)
    :QDialog(parent)
{
    setupUi(this);

    buttonBox->button(QDialogButtonBox::Ok)->setText(tr("&OK"));
    buttonBox->button(QDialogButtonBox::Cancel)->setText(tr("&Cancel"));
}

/* --------------------------------------------------------------------- */

void ToolDialog::on_browse_clicked()
{
    const QString file = QFileDialog::getOpenFileName(this, tr("Find external tool executable"), command->text());

    if (!file.isEmpty())
    {
        command->setText(QString("\"%1\" \"%s\"").arg(file));

        if (name->text().isEmpty())
        {
            name->setText(QFileInfo(file).baseName());
        }
    }
}
