/*  This file is part of VIM Pal.
 *
 *  VIM Pal is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  VIM Pal is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with VIM Pal.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef VIMUTILS_H
#define VIMUTILS_H

#include <QString>

class QWidget;

class VimUtils
{
public:
    static void init(QWidget* parent);

    static void setServer(const QString& sname);

    static void cd(const QString& dir);
    static bool openFile(const QString& fname);

    static void activate();

    static void writeSession();
    static bool startSession();

    static void close();

private:
    static bool cmd(const QString &cmd, bool startNew);
    static bool serverExists();

    static QString sServer;

    static QWidget* sParent;
};

#endif // VIMUTILS_H
